### Function

# Gck mechanisms_check

since: 2

#### Declaration [src]

    gboolean
    gck_mechanisms_check (
      GArray* mechanisms,
      ...
    )

#### Description [src]

Check whether all the mechanism types are in the list.

The arguments should be a list of CKM_XXX mechanism types. The last argument should be GCK_INVALID.

Available since: 2

This function is not directly available to language bindings.

#### Parameters

`mechanisms`

  Type: An array of `gulong`

  A list of mechanisms, perhaps retrieved from gck_slot_get_mechanisms().

  The data is owned by the caller of the function.

`...`

  Type: ``

  A list of mechanism types followed by GCK_INVALID.

#### Return value

Type: `gboolean`

Whether the mechanism is in the list or not.